Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Class SystemSocketProvider

`java.lang.Object
java.nio.channels.spi.SelectorProvider
com.tangosol.net.SystemSocketProvider`

All Implemented Interfaces:
  SocketProvider

      public class SystemSocketProvider

extends SelectorProvider
implements SocketProvider

SocketProvider that produces instances of the JVM's default socket and channel implementations.

Since:
  Coherence 3.6
Author:
  mf 2010.05.20

Field Summary
`static SystemSocketProvider` | `INSTANCE` A shareable SystemSocketProvider.
`protected SocketProviderFactory` | `m_factory` The associated factory.
`static String` | `XML_NAME` The name of the XmlElement in which the provider configuration is specified.

Constructor Summary
`SystemSocketProvider()`

Method Summary
`SocketProviderFactory` | `getFactory()` Return the factory associated with this provider.
`Channel` | `inheritedChannel()` Unsupported.
`DatagramChannel` | `openDatagramChannel()` Return a new DatagramChannel.
`DatagramSocket` | `openDatagramSocket()` Return a new DatagramSocket.
`MulticastSocket` | `openMulticastSocket()` Return a new MulticastSocket.
`Pipe` | `openPipe()` Unsupported.
`AbstractSelector` | `openSelector()`
`ServerSocket` | `openServerSocket()` Return a new ServerSocket.
`ServerSocketChannel` | `openServerSocketChannel()` Return a new ServerSocketChannel.
`Socket` | `openSocket()` Return a new Socket.
`SocketChannel` | `openSocketChannel()` Return a new SocketChannel.
`void` | `setFactory(SocketProviderFactory factory)` Specify the SocketProviderFactory associated with this provider.
`String` | `toString()`

Methods inherited from class java.nio.channels.spi.SelectorProvider
`provider`

Field Detail

### m_factory

    protected SocketProviderFactory m_factory

  The associated factory.

### XML_NAME

    public static final String XML_NAME

  The name of the XmlElement in which the provider configuration is specified.
  See Also:
    Constant Field Values

### INSTANCE

    public static final SystemSocketProvider INSTANCE

  A shareable SystemSocketProvider.

Constructor Detail

### SystemSocketProvider

    public SystemSocketProvider()

Method Detail

### openSocket

    public Socket openSocket()
                      throws IOException

  Return a new Socket.
  Specified by:
    `openSocket` in interface `SocketProvider`
  Returns:
    the Socket
  Throws:
    `IOException` - if an I/O related error occurs

### openSocketChannel

    public SocketChannel openSocketChannel()
                                    throws IOException

  Return a new SocketChannel.
  Specified by:
    `openSocketChannel` in interface `SocketProvider`
  Specified by:
    `openSocketChannel` in class `SelectorProvider`
  Returns:
    the connected SocketChannel
  Throws:
    `IOException` - if an I/O related error occurs

### openServerSocket

    public ServerSocket openServerSocket()
                                  throws IOException

  Return a new ServerSocket.
  Specified by:
    `openServerSocket` in interface `SocketProvider`
  Returns:
    the ServerSocket
  Throws:
    `IOException` - if an I/O related error occurs

### openServerSocketChannel

    public ServerSocketChannel openServerSocketChannel()
                                                throws IOException

  Return a new ServerSocketChannel.
  Specified by:
    `openServerSocketChannel` in interface `SocketProvider`
  Specified by:
    `openServerSocketChannel` in class `SelectorProvider`
  Returns:
    the ServerSocketChannel
  Throws:
    `IOException` - if an I/O related error occurs

### openDatagramSocket

    public DatagramSocket openDatagramSocket()
                                      throws IOException

  Return a new DatagramSocket.
  Specified by:
    `openDatagramSocket` in interface `SocketProvider`
  Returns:
    the DatagramSocket
  Throws:
    `IOException` - if an I/O related error occurs

### openDatagramChannel

    public DatagramChannel openDatagramChannel()
                                        throws IOException

  Return a new DatagramChannel.
  Specified by:
    `openDatagramChannel` in interface `SocketProvider`
  Specified by:
    `openDatagramChannel` in class `SelectorProvider`
  Returns:
    the DatagramChannel
  Throws:
    `IOException` - if an I/O related error occurs

### openMulticastSocket

    public MulticastSocket openMulticastSocket()
                                        throws IOException

  Return a new MulticastSocket.
  Specified by:
    `openMulticastSocket` in interface `SocketProvider`
  Returns:
    the MulticastSocket
  Throws:
    `IOException` - if an I/O related error occurs

### setFactory

    public void setFactory(SocketProviderFactory factory)

  Specify the SocketProviderFactory associated with this provider.
  Specified by:
    `setFactory` in interface `SocketProvider`
  Parameters:
    `factory` - the associated factory

### getFactory

    public SocketProviderFactory getFactory()

  Return the factory associated with this provider.
  Specified by:
    `getFactory` in interface `SocketProvider`
  Returns:
    the associated factory

### openSelector

    public AbstractSelector openSelector()
                                  throws IOException

  Specified by:
    `openSelector` in class `SelectorProvider`
  Throws:
    `IOException`

### openPipe

    public Pipe openPipe()
                  throws IOException

  Unsupported.
  Specified by:
    `openPipe` in class `SelectorProvider`
  Throws:
    `UnsupportedOperationException`
    `IOException`

### inheritedChannel

    public Channel inheritedChannel()
                             throws IOException

  Unsupported.
  Overrides:
    `inheritedChannel` in class `SelectorProvider`
  Throws:
    `UnsupportedOperationException`
    `IOException`

### toString

    public String toString()

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.